import React from 'react';
import 'jb-switch';
import { JBSwitchWebComponent, ValidationValue } from 'jb-switch';
import { type ValidationItem } from 'jb-validation';
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'jb-switch': JBSwitchType;
        }
        interface JBSwitchType extends React.DetailedHTMLProps<React.HTMLAttributes<JBSwitchWebComponent>, JBSwitchWebComponent> {
            class?: string;
            name?: string;
            "true-title"?: string;
            "false-title"?: string;
        }
    }
}
export type JBSwitchEventType<T> = T & {
    target: JBSwitchWebComponent;
};
export type JBSwitchProps = {
    style?: string;
    name?: string;
    className?: string;
    onChange?: (e: JBSwitchEventType<Event>) => void | null | undefined;
    value?: boolean | null | undefined;
    trueTitle?: string | null | undefined;
    falseTitle?: string | null | undefined;
    isLoading?: boolean | null | undefined;
    validationList?: ValidationItem<ValidationValue>[] | null;
};
export declare const JBSwitch: React.ForwardRefExoticComponent<JBSwitchProps & React.RefAttributes<unknown>>;
